<?php

namespace Blok\Metatags\Contracts;

/**
 * MetatagsContract

 * @package Blok\Metatags\Traits
 * @comments Generated by ../../generator.php the 2020-10-13 21:52:01
 */
interface MetatagsContract
{
    public const META_TITLE = 'title';
    public const META_DESCRIPTION = 'description';
    public const META_KEYWORDS = 'keywords';
    public const META_URL = 'url';
    public const META_IDENTIFIERURL = 'identifier-URL';
    public const META_AUTHOR = 'author';
    public const META_CANONICAL = 'canonical';
    public const META_DCTITLE = 'dc.title';
    public const META_DCDESCRIPTION = 'dc.description';
    public const META_DCSOURCE = 'dc.source';
    public const META_DCCREATOR = 'dc.creator';
    public const META_FBPAGEID = 'fb:page_id';
    public const META_FBAPPID = 'fb:app_id';
    public const META_OGTITLE = 'og:title';
    public const META_OGDESCRIPTION = 'og:description';
    public const META_OGURL = 'og:url';
    public const META_OGIMAGE = 'og:image';
    public const META_OGTYPE = 'og:type';
    public const META_OGLOCALE = 'og:locale';
    public const META_TWITTERTITLE = 'twitter:title';
    public const META_TWITTERDESCRIPTION = 'twitter:description';
    public const META_TWITTERIMAGE = 'twitter:image';
    public const META_TWITTERCARD = 'twitter:card';
    public const META_TWITTERSITE = 'twitter:site';
    public const META_TWITTERCREATOR = 'twitter:creator';
    /**
     * @param array $arr
     * @return array
     */
    public function getMetatags($arr = []);
}